io.milvus.v2.service.vector.request.data

## Class BinaryVec

- java.lang.Object
- - io.milvus.v2.service.vector.request.data.BinaryVec

All Implemented Interfaces:
  BaseVector

    public class BinaryVec
    extends java.lang.Object
    implements BaseVector

### Constructor Summary

Constructors
Constructor and Description
`BinaryVec(byte[] data)`
`BinaryVec(java.nio.ByteBuffer data)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `getData()`
`io.milvus.grpc.PlaceholderType` `getPlaceholderType()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BinaryVec

    public BinaryVec(java.nio.ByteBuffer data)

#### BinaryVec

    public BinaryVec(byte[] data)

### Method Detail

#### getPlaceholderType

    public io.milvus.grpc.PlaceholderType getPlaceholderType()

Specified by:
  `getPlaceholderType` in interface `BaseVector`

#### getData

    public java.lang.Object getData()

Specified by:
  `getData` in interface `BaseVector`